Bug 1348585 - Ipsilon form config contains wrong PAM service file
Summary: Ipsilon form config contains wrong PAM service file
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipsilon
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-21 13:47 UTC by Veronika Kabatova
Modified: 2016-12-28 21:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-28 20:20:03 UTC


Attachments (Terms of Use)

Description Veronika Kabatova 2016-06-21 13:47:03 UTC
Description of problem:
Installing ipsilon server with --form yes creates

InterceptFormPAMService ipsilon

line in ipsilon-idp.conf file, but corresponding the PAM service file in /etc/pam.d is named "remote"

Version-Release number of selected component (if applicable):
ipsilon-1.2.0-4.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
(testing on IPA master machine since installing on clean machine doesn't recognize the form option)
1. dnf install ipsilon -y
2. ipsilon-server-install --form yes
3. service httpd restart

Actual results:
/etc/httpd/conf.d/ipsilon-idp.conf file contains

InterceptFormPAMService ipsilon

for the form configuration, while the corresponding PAM service file in /etc/pam.d is named "remote"

Expected results:
The name in the generated configuration and /etc/pam.d is same

Additional info:
Auth doesn't work with this bug, changing name in the config back works as a workaround

Apache debug log line:
mod_authnz_pam: PAM authentication failed for user admin: Authentication failure

Comment 1 Patrick Uiterwijk 2016-06-21 13:53:47 UTC
This is a packaging error.
The /etc/pam.d/ipsilon file is part of the authpam subpackage.

Installing ipsilon-authpam will add it, making it work.

I will move this file to the base package.

Comment 2 Fedora Update System 2016-09-10 09:41:57 UTC
ipsilon-1.2.0-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6bd3f53051

Comment 3 Fedora Update System 2016-09-10 09:42:11 UTC
ipsilon-1.2.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6b98bb01a

Comment 4 Fedora Update System 2016-09-10 09:42:20 UTC
ipsilon-1.2.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d629d017

Comment 5 Fedora Update System 2016-09-10 09:42:28 UTC
ipsilon-1.2.0-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-67ac430690

Comment 6 Fedora Update System 2016-09-11 04:53:02 UTC
ipsilon-1.2.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6b98bb01a

Comment 7 Fedora Update System 2016-09-11 05:22:29 UTC
ipsilon-1.2.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d629d017

Comment 8 Fedora Update System 2016-09-11 05:55:52 UTC
ipsilon-1.2.0-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6bd3f53051

Comment 9 Fedora Update System 2016-09-11 18:49:51 UTC
ipsilon-1.2.0-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-67ac430690

Comment 10 Fedora Update System 2016-10-31 09:59:08 UTC
ipsilon-2.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-30077d1b37

Comment 11 Fedora Update System 2016-10-31 09:59:23 UTC
ipsilon-2.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8fb6d7ad

Comment 12 Fedora Update System 2016-10-31 09:59:32 UTC
ipsilon-2.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b465090499

Comment 13 Fedora Update System 2016-11-01 02:21:12 UTC
ipsilon-2.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8fb6d7ad

Comment 14 Fedora Update System 2016-11-01 18:22:07 UTC
ipsilon-2.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b465090499

Comment 15 Jan Pazdziora 2016-11-02 09:12:14 UTC
# rpm -qf /etc/pam.d/ipsilon
ipsilon-base-2.0.0-1.fc24.noarch

Comment 16 Fedora Update System 2016-11-06 01:51:15 UTC
ipsilon-2.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-30077d1b37

Comment 17 Fedora End Of Life 2016-11-25 09:21:16 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Jan Pazdziora 2016-11-25 14:27:54 UTC
The issue is still present with ipsilon-1.2.0-5.fc25.noarch so changing Fedora version so that the EOL logic does not kick in.

Comment 19 Fedora Update System 2016-12-04 02:07:04 UTC
ipsilon-2.0.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-30077d1b37

Comment 20 Fedora Update System 2016-12-04 02:13:01 UTC
ipsilon-2.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8fb6d7ad

Comment 21 Fedora Update System 2016-12-04 02:13:25 UTC
ipsilon-2.0.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b465090499

Comment 22 Fedora Update System 2016-12-06 03:23:55 UTC
ipsilon-2.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d8fb6d7ad

Comment 23 Fedora Update System 2016-12-06 03:56:25 UTC
ipsilon-2.0.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-30077d1b37

Comment 24 Fedora Update System 2016-12-06 03:59:01 UTC
ipsilon-2.0.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b465090499

Comment 25 Fedora Update System 2016-12-28 20:20:03 UTC
ipsilon-2.0.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2016-12-28 21:48:40 UTC
ipsilon-2.0.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.